Main Page Class List Class Members

# VHACD::ICHull Class Reference

`#include <vhacdICHull.h>`

List of all members.

## Public Member Functions
bool | AddPoint (const Vec3< double > &point, int32_t id)
| Add one point to the convex-hull.
bool | AddPoint (const Vec3< double > &point)
| Add one point to the convex-hull.
bool | AddPoints (const Vec3< double > *points, size_t nPoints)
| Add points to the convex-hull.
TMMesh & | GetMesh ()
| Returns the computed mesh.
| ICHull ()
| Constructor.
bool | IsFlat ()
bool | IsInside (const Vec3< double > &pt0, const double eps=0.0)
const ICHull & | operator= (ICHull &rhs)
ICHullError | Process (const uint32_t nPointsCH, const double minVolume=0.0)
ICHullError | Process ()
| ~ICHull (void)
| Destructor.
## Static Public Attributes
static const double | sc_eps

## Constructor & Destructor Documentation

VHACD::ICHull::ICHull | ( |  | ) |

Constructor.

VHACD::ICHull::~ICHull | ( | void |  | ) | `[inline]`

Destructor.

## Member Function Documentation

bool VHACD::ICHull::AddPoint | ( | const Vec3< double > & | point,
|  | int32_t | id |
| ) |  |  |

Add one point to the convex-hull.

bool VHACD::ICHull::AddPoint | ( | const Vec3< double > & | point | ) | `[inline]`

Add one point to the convex-hull.

bool VHACD::ICHull::AddPoints | ( | const Vec3< double > * | points,
|  | size_t | nPoints |
| ) |  |  |

Add points to the convex-hull.

TMMesh& VHACD::ICHull::GetMesh | ( |  | ) | `[inline]`

Returns the computed mesh.

bool VHACD::ICHull::IsFlat | ( |  | ) | `[inline]`

bool VHACD::ICHull::IsInside | ( | const Vec3< double > & | pt0,
|  | const double | eps = `0.0` |
| ) |  |  |

const ICHull& VHACD::ICHull::operator= | ( | ICHull & | rhs | ) |

ICHullError VHACD::ICHull::Process | ( | const uint32_t | nPointsCH,
|  | const double | minVolume = `0.0` |
| ) |  |  |

ICHullError VHACD::ICHull::Process | ( |  | ) |

## Member Data Documentation

const double VHACD::ICHull::sc_eps`[static]`

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/VHACD/inc/vhacdICHull.h